/*
 Log messages.

 NOTE: log_messages.h and log_messages.rc are generated automatically from log_messages.mc! 
*/
//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//
#define STATUS_SEVERITY_WARNING          0x2
#define STATUS_SEVERITY_SUCCESS          0x0
#define STATUS_SEVERITY_INFORMATIONAL    0x1
#define STATUS_SEVERITY_ERROR            0x3


//
// MessageId: Event_Service
//
// MessageText:
//
//  %1
//
#define Event_Service                    0xC0000001L

//
// MessageId: Event_Debug
//
// MessageText:
//
//  Debug message:
//  
//  %1
//
#define Event_Debug                      0x40000002L

//
// MessageId: Event_FailCreateProcess
//
// MessageText:
//
//  Could not create process for svnserve:
//  (%1)
//
#define Event_FailCreateProcess          0xC0000003L

//
// MessageId: Event_ProcessEnded
//
// MessageText:
//
//  SVNService process ended prematurely:
//  (%1)
//
#define Event_ProcessEnded               0xC0000004L

//
// MessageId: Event_ProcessTimeout
//
// MessageText:
//
//  SVNServe did not shut down within 30 seconds after a CTRL+Break was sent to it:
//  (%1)
//
#define Event_ProcessTimeout             0xC0000005L

